I am still getting a notice that I need to upgrade